#
# spec file for package nedit (Version 5.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake openmotif openmotif-devel xf86 xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         nedit
Copyright:    GPL
Group:        Applications/Editors
Provides:     nc nedit 
Autoreqprov:  on
Version:      5.1.1
Release:      261
Summary:      Full featured plain text "Nirvana Editor"
Url:          http://nedit.org/
Source:       nedit-%{version}-src.tar.bz2
Source1:      nedit_contrib.tar.bz2
Patch0:       nedit-%{version}.patch
Patch1:       nedit-%{version}-dir.patch
Patch2:       nedit-%{version}-security.patch
Patch3:       nedit-%{version}-ia64.patch
Patch4:       nedit-%{version}-ia64-Va.patch
BuildRoot:    /var/tmp/%{name}-build

%description
NEdit is a GUI style plain text editor for workstations with X Window
and Motif. NEdit provides all of the standard menu, dialog, editing,
mouse support, as well as macro extension language, Syntax highlighting,
and a lot other nice features (and extensions for programmers).

Authors:
--------
    Mark Edel <edel@fnal.gov>

SuSE series: xap

%prep
%setup
%setup -T -D -a 1
%patch
%patch1
%patch2
%patch3
%patch4

%build
case `/usr/share/automake/config.guess` in
	alpha*)
		export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
		;;
	*)
		export RPM_OPT_FLAGS
		;;
esac
make linux
cp    -f   contrib/FAQ               .
tar   xvzf contrib/html_doc.tar.gz
mv    -f   Nedit5.0.1-HTML-Doc       html
ln    -sf  neditdoc.html             html/index.html

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1/
install -c -s -m 755 source/nedit $RPM_BUILD_ROOT/usr/X11R6/bin/
install -c -s -m 755 source/nc    $RPM_BUILD_ROOT/usr/X11R6/bin/
install -c -m 644    nc.man       $RPM_BUILD_ROOT/usr/X11R6/man/man1/nc.1
install -c -m 644    nedit.man    $RPM_BUILD_ROOT/usr/X11R6/man/man1/nedit.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc html FAQ README README.backlight NEdit.ad nedit.doc nedit.xpm
%doc nedit.gif nedit3d.gif nedit3d.xpm nedit_power.gif ReleaseNotes
%doc highlight_pats
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*

%changelog -n nedit
* Tue Jul 17 2001 - pmladek@suse.cz
- fixed relative paths in save and load dialog (bug #9388)
  * patch from nedit developers
* Mon Jun 04 2001 - pmladek@suse.cz
- fixed to run on ia64:
  * fixed last parametr of functions XtVa*  (bug #8612)
* Fri May 18 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Tue Apr 24 2001 - cihlar@suse.cz
- fixede security patch
* Wed Apr 11 2001 - cihlar@suse.cz
- added security patch
* Mon Feb 12 2001 - cihlar@suse.cz
- statistics line enabled by default
- larger fonts by default
- delete key does delete, not backspace
* Thu Nov 09 2000 - cihlar@suse.cz
- uses openmotif now
* Mon Oct 30 2000 - cihlar@suse.cz
- bzipped sources
- fixed suse patch [#4215]
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Mon Mar 27 2000 - cihlar@suse.cz
- upgrade to version 5.1.1
* Wed Mar 22 2000 - cihlar@suse.cz
- clean up spec file
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 05 1999 - uli@suse.de
- disabled optimizations for AXP
* Tue Jul 20 1999 - mt@suse.de
- added -DUSE_XMIM
* Mon Jul 19 1999 - mt@suse.de
- removed app-default file; Del-key is patched in as fallback
  resource, so it works correctly also without app-default.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Sat Feb 27 1999 - mt@suse.de
- patched in default del-key behaviour, better app-default (not
  really needed, since its patched in...)
* Sun Dec 13 1998 - bs@suse.de
- made a dynamic and a static version of nc againe.
* Fri Nov 27 1998 - bs@suse.de
- fixed path for app-defaults
* Sun Nov 15 1998 - mt@suse.de
- added backlight feature and any highlight_pats
- added color xpm icon support (and pixmap deletion)
- fixed app-defaults (delete-next-character doesn't work propelly)
  and added Ctrl+S / Save acceletator
- removed Makefile.Linux
* Mon Jun 29 1998 - mt@suse.de
- added app-default file with delete-next-character() override
- new version 5.0.2
- added html-docu and replaced man page with one from contrib dir
* Thu May 07 1998 - fehr@suse.de 
- add library -lXp for Motif 2.1
* Mon Feb 16 1998 - ro@suse.de (again)
* Wed Feb 11 1998 - mt@suse.de
- new version 5.0.1
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version
* Sat Oct 25 1997 - mt@suse.de
- new version 5.0
* Sat Sep 13 1997 - mt@suse.de
- new version 4.0.3
